#define date 20150113
%define rel     0.1
%define release %{?date:%mkrel -c %{date} %{rel}}%{!?date:%mkrel %{rel}}

Summary:       PPAPI-host NPAPI-plugin adapter
Name:          freshplayerplugin
Version:       0.2.3
Release:       %{release}
License:       MIT
Group:         Networking/WWW
Url:           https://github.com/i-rinat/freshplayerplugin
# git clone https://github.com/i-rinat/freshplayerplugin
# cd freshplayerplugin
# git archive --prefix=freshplayerplugin-$(date +%Y%m%d)/ --format=tar.gz master > ../freshplayerplugin-$(date +%Y%m%d).tar.gz
Source0:       wget https://github.com/i-rinat/%{name}/archive/v%{version}/%{name}-%{?date}%{!?date:%{version}}.tar.gz

BuildRequires: cmake
BuildRequires: ragel
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(glesv2)
BuildRequires: pkgconfig(libconfig)
BuildRequires: pkgconfig(libevent)
BuildRequires: pkgconfig(libevent_pthreads)
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(pango)
BuildRequires: pkgconfig(pangocairo)
BuildRequires: pkgconfig(pangoft2)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libpulse)

%description
The main goal of this project is to get PPAPI (Pepper) Flash player
working in Firefox. It implements an adapter that looks like a browser
to a PPAPI plugin and looks like an NPAPI plugin to the browser. Note
that this particular implementation does not implement any sandbox.

This package expects Google Chrome (or at least its Pepper Flash plugin)
to be installed in the standard location.

%prep
%setup -qn %{name}-%{?date}%{!?date:%{version}}
%apply_patches

%build
%cmake
%make

%install
mkdir -p %{buildroot}%{_libdir}/mozilla/plugins
install build/libfreshwrapper-pepperflash.so %{buildroot}%{_libdir}/mozilla/plugins/

%files
%doc data/freshwrapper.conf.example
%{_libdir}/mozilla/plugins/libfreshwrapper-pepperflash.so


%changelog
* Thu Mar 12 2015 daviddavid (MLO Team) <daviddavid> 0.2.3-0.1.mga4
- new version: 0.2.3
- remove merged patches

* Fri Jan 16 2015 daviddavid (MLO Team) <daviddavid> 0.2.2-0.1.mga4
+ Rebuild package for Mageia 4 (Core\MLO)
- synced package from Cauldron (.mga5)
